# Mix output messages from parallel targets, will be collated by CLI
MAKEFLAGS += --output-sync=none
# Default to not echoing commands before running
MAKEFLAGS += --silent
# Disable as many built in file type builds as possible
MAKEFLAGS += --no-builtin-rules
.SUFFIXES:

# Don't drop intermediate artifacts (saves rebulid time and aids debugging)
.SECONDARY:
.PRECIOUS: %
.DELETE_ON_ERROR:

# Deprecate direct usage under `make` without the CLI
ifeq ($(FONTSHIP_CLI),)
$(error Use of fontship rule file inclusion outside of the CLI is deprecated!)
endif

# Run complete recipes in wrapper script that facilitates clean CLI output
SHELL := $(FONTSHIPDIR)/make-shell.zsh
.SHELLFLAGS = target=$@
.ONESHELL:
.SECONDEXPANSION:

# Use paths discovered by autoconf by default, but allow projects to override
# with paths of their own.
CMP ?= /usr/bin/cmp
FONTMAKE ?= /usr/bin/fontmake
FONTV ?= /usr/bin/font-v
GFTOOLS ?= /usr/bin/gftools
FIND ?= /usr/bin/find
GIT ?= /usr/bin/git
GREP ?= /usr/bin/grep
PSAUTOHINT ?= /usr/bin/psautohint
PYTHON ?= /usr/bin/python
SED ?= /usr/bin/sed
SFDNORMALIZE ?= /usr/bin/sfdnormalize
SFD2UFO ?= /usr/bin/sfd2ufo
SFNT2WOFF ?= /usr/bin/sfnt2woff-zopfli
TTFAUTOHINT ?= /usr/bin/ttfautohint
TTX ?= /usr/bin/ttx
UFONORMALIZER ?= /usr/bin/ufonormalizer
WOFF2COMPRESS ?= /usr/bin/woff2_compress
ZSH ?= /usr/bin/zsh

BUILDDIR ?= .fontship

.PHONY: default
default: all

include $(FONTSHIPDIR)/rules/functions.mk
